/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { XYChartDescription } from "./XYChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let FinancialChartDescription = /*@__PURE__*/ (() => {
    class FinancialChartDescription extends XYChartDescription {
        constructor() {
            super();
            this.v3 = null;
            this.v5 = null;
            this.v2 = null;
            this.v0 = null;
            this.up = 0;
            this.t1 = false;
            this.ut = 0;
            this.t9 = false;
            this.vs = 0;
            this.u0 = 0;
            this.u2 = 0;
            this.u1 = 0;
            this.u3 = 0;
            this.v4 = null;
            this.v6 = null;
            this.uv = 0;
            this.uy = 0;
            this.uw = 0;
            this.ux = 0;
            this.uz = 0;
            this.v8 = null;
            this.t3 = false;
            this.v1 = null;
            this.v7 = null;
            this.t5 = false;
            this.td = null;
            this.ti = null;
            this.t7 = false;
            this.us = 0;
            this.t6 = false;
            this.t8 = false;
            this.v9 = null;
            this.te = null;
            this.tf = null;
            this.tg = null;
            this.th = null;
            this.tl = null;
            this.tk = null;
            this.tc = null;
            this.ta = null;
            this.uu = 0;
            this.ur = 0;
            this.uq = 0;
            this.uo = 0;
            this.tb = null;
            this.vo = 0;
            this.un = 0;
            this.vr = 0;
            this.vp = 0;
            this.vn = 0;
            this.vq = 0;
            this.tj = null;
            this.s9 = null;
            this.t4 = false;
            this.wa = null;
            this.u4 = 0;
            this.t2 = false;
            this.uk = new Date();
            this.uj = new Date();
            this.tm = null;
            this.vz = null;
        }
        get tooltipTemplateRef() {
            return this.v3;
        }
        set tooltipTemplateRef(a) {
            this.v3 = a;
            this.g("TooltipTemplateRef");
        }
        get width() {
            return this.v5;
        }
        set width(a) {
            this.v5 = a;
            this.g("Width");
        }
        get height() {
            return this.v2;
        }
        set height(a) {
            this.v2 = a;
            this.g("Height");
        }
        get background() {
            return this.v0;
        }
        set background(a) {
            this.v0 = a;
            this.g("Background");
        }
        get_type() {
            return "FinancialChart";
        }
        get leftMargin() {
            return this.up;
        }
        set leftMargin(a) {
            this.up = a;
            this.g("LeftMargin");
        }
        get isHorizontalZoomEnabled() {
            return this.t1;
        }
        set isHorizontalZoomEnabled(a) {
            this.t1 = a;
            this.g("IsHorizontalZoomEnabled");
        }
        get toolbarHeight() {
            return this.ut;
        }
        set toolbarHeight(a) {
            this.ut = a;
            this.g("ToolbarHeight");
        }
        get yAxisIsLogarithmic() {
            return this.t9;
        }
        set yAxisIsLogarithmic(a) {
            this.t9 = a;
            this.g("YAxisIsLogarithmic");
        }
        get yAxisLogarithmBase() {
            return this.vs;
        }
        set yAxisLogarithmBase(a) {
            this.vs = a;
            this.g("YAxisLogarithmBase");
        }
        get yAxisInterval() {
            return this.u0;
        }
        set yAxisInterval(a) {
            this.u0 = a;
            this.g("YAxisInterval");
        }
        get yAxisMinimumValue() {
            return this.u2;
        }
        set yAxisMinimumValue(a) {
            this.u2 = a;
            this.g("YAxisMinimumValue");
        }
        get yAxisMaximumValue() {
            return this.u1;
        }
        set yAxisMaximumValue(a) {
            this.u1 = a;
            this.g("YAxisMaximumValue");
        }
        get yAxisMinorInterval() {
            return this.u3;
        }
        set yAxisMinorInterval(a) {
            this.u3 = a;
            this.g("YAxisMinorInterval");
        }
        get volumeType() {
            return this.v4;
        }
        set volumeType(a) {
            this.v4 = a;
            this.g("VolumeType");
        }
        get xAxisMode() {
            return this.v6;
        }
        set xAxisMode(a) {
            this.v6 = a;
            this.g("XAxisMode");
        }
        get xAxisZoomMaximumCategoryRange() {
            return this.uv;
        }
        set xAxisZoomMaximumCategoryRange(a) {
            this.uv = a;
            this.g("XAxisZoomMaximumCategoryRange");
        }
        get xAxisZoomToCategoryStart() {
            return this.uy;
        }
        set xAxisZoomToCategoryStart(a) {
            this.uy = a;
            this.g("XAxisZoomToCategoryStart");
        }
        get xAxisZoomMaximumItemSpan() {
            return this.uw;
        }
        set xAxisZoomMaximumItemSpan(a) {
            this.uw = a;
            this.g("XAxisZoomMaximumItemSpan");
        }
        get xAxisZoomToCategoryRange() {
            return this.ux;
        }
        set xAxisZoomToCategoryRange(a) {
            this.ux = a;
            this.g("XAxisZoomToCategoryRange");
        }
        get xAxisZoomToItemSpan() {
            return this.uz;
        }
        set xAxisZoomToItemSpan(a) {
            this.uz = a;
            this.g("XAxisZoomToItemSpan");
        }
        get yAxisMode() {
            return this.v8;
        }
        set yAxisMode(a) {
            this.v8 = a;
            this.g("YAxisMode");
        }
        get isToolbarVisible() {
            return this.t3;
        }
        set isToolbarVisible(a) {
            this.t3 = a;
            this.g("IsToolbarVisible");
        }
        get chartType() {
            return this.v1;
        }
        set chartType(a) {
            this.v1 = a;
            this.g("ChartType");
        }
        get yAxisLabelHorizontalAlignment() {
            return this.v7;
        }
        set yAxisLabelHorizontalAlignment(a) {
            this.v7 = a;
            this.g("YAxisLabelHorizontalAlignment");
        }
        get isWindowSyncedToVisibleRange() {
            return this.t5;
        }
        set isWindowSyncedToVisibleRange(a) {
            this.t5 = a;
            this.g("IsWindowSyncedToVisibleRange");
        }
        get indicatorTypes() {
            return this.td;
        }
        set indicatorTypes(a) {
            this.td = a;
            this.g("IndicatorTypes");
        }
        get overlayTypes() {
            return this.ti;
        }
        set overlayTypes(a) {
            this.ti = a;
            this.g("OverlayTypes");
        }
        get yAxisAbbreviateLargeNumbers() {
            return this.t7;
        }
        set yAxisAbbreviateLargeNumbers(a) {
            this.t7 = a;
            this.g("YAxisAbbreviateLargeNumbers");
        }
        get resolution() {
            return this.us;
        }
        set resolution(a) {
            this.us = a;
            this.g("Resolution");
        }
        get xAxisEnhancedIntervalPreferMoreCategoryLabels() {
            return this.t6;
        }
        set xAxisEnhancedIntervalPreferMoreCategoryLabels(a) {
            this.t6 = a;
            this.g("XAxisEnhancedIntervalPreferMoreCategoryLabels");
        }
        get yAxisEnhancedIntervalPreferMoreCategoryLabels() {
            return this.t8;
        }
        set yAxisEnhancedIntervalPreferMoreCategoryLabels(a) {
            this.t8 = a;
            this.g("YAxisEnhancedIntervalPreferMoreCategoryLabels");
        }
        get zoomSliderType() {
            return this.v9;
        }
        set zoomSliderType(a) {
            this.v9 = a;
            this.g("ZoomSliderType");
        }
        get negativeBrushes() {
            return this.te;
        }
        set negativeBrushes(a) {
            this.te = a;
            this.g("NegativeBrushes");
        }
        get negativeOutlines() {
            return this.tf;
        }
        set negativeOutlines(a) {
            this.tf = a;
            this.g("NegativeOutlines");
        }
        get overlayBrushes() {
            return this.tg;
        }
        set overlayBrushes(a) {
            this.tg = a;
            this.g("OverlayBrushes");
        }
        get overlayOutlines() {
            return this.th;
        }
        set overlayOutlines(a) {
            this.th = a;
            this.g("OverlayOutlines");
        }
        get volumeOutlines() {
            return this.tl;
        }
        set volumeOutlines(a) {
            this.tl = a;
            this.g("VolumeOutlines");
        }
        get volumeBrushes() {
            return this.tk;
        }
        set volumeBrushes(a) {
            this.tk = a;
            this.g("VolumeBrushes");
        }
        get indicatorNegativeBrushes() {
            return this.tc;
        }
        set indicatorNegativeBrushes(a) {
            this.tc = a;
            this.g("IndicatorNegativeBrushes");
        }
        get indicatorBrushes() {
            return this.ta;
        }
        set indicatorBrushes(a) {
            this.ta = a;
            this.g("IndicatorBrushes");
        }
        get volumeThickness() {
            return this.uu;
        }
        set volumeThickness(a) {
            this.uu = a;
            this.g("VolumeThickness");
        }
        get overlayThickness() {
            return this.ur;
        }
        set overlayThickness(a) {
            this.ur = a;
            this.g("OverlayThickness");
        }
        get overlayMultiplier() {
            return this.uq;
        }
        set overlayMultiplier(a) {
            this.uq = a;
            this.g("OverlayMultiplier");
        }
        get indicatorThickness() {
            return this.uo;
        }
        set indicatorThickness(a) {
            this.uo = a;
            this.g("IndicatorThickness");
        }
        get indicatorDisplayTypes() {
            return this.tb;
        }
        set indicatorDisplayTypes(a) {
            this.tb = a;
            this.g("IndicatorDisplayTypes");
        }
        get indicatorPeriod() {
            return this.vo;
        }
        set indicatorPeriod(a) {
            this.vo = a;
            this.g("IndicatorPeriod");
        }
        get indicatorMultiplier() {
            return this.un;
        }
        set indicatorMultiplier(a) {
            this.un = a;
            this.g("IndicatorMultiplier");
        }
        get indicatorSmoothingPeriod() {
            return this.vr;
        }
        set indicatorSmoothingPeriod(a) {
            this.vr = a;
            this.g("IndicatorSmoothingPeriod");
        }
        get indicatorShortPeriod() {
            return this.vp;
        }
        set indicatorShortPeriod(a) {
            this.vp = a;
            this.g("IndicatorShortPeriod");
        }
        get indicatorLongPeriod() {
            return this.vn;
        }
        set indicatorLongPeriod(a) {
            this.vn = a;
            this.g("IndicatorLongPeriod");
        }
        get indicatorSignalPeriod() {
            return this.vq;
        }
        set indicatorSignalPeriod(a) {
            this.vq = a;
            this.g("IndicatorSignalPeriod");
        }
        get rangeSelectorOptions() {
            return this.tj;
        }
        set rangeSelectorOptions(a) {
            this.tj = a;
            this.g("RangeSelectorOptions");
        }
        get customIndicatorNames() {
            return this.s9;
        }
        set customIndicatorNames(a) {
            this.s9 = a;
            this.g("CustomIndicatorNames");
        }
        get isVerticalZoomEnabled() {
            return this.t4;
        }
        set isVerticalZoomEnabled(a) {
            this.t4 = a;
            this.g("IsVerticalZoomEnabled");
        }
        get zoomSliderXAxisMajorStroke() {
            return this.wa;
        }
        set zoomSliderXAxisMajorStroke(a) {
            this.wa = a;
            this.g("ZoomSliderXAxisMajorStroke");
        }
        get zoomSliderXAxisMajorStrokeThickness() {
            return this.u4;
        }
        set zoomSliderXAxisMajorStrokeThickness(a) {
            this.u4 = a;
            this.g("ZoomSliderXAxisMajorStrokeThickness");
        }
        get isLegendVisible() {
            return this.t2;
        }
        set isLegendVisible(a) {
            this.t2 = a;
            this.g("IsLegendVisible");
        }
        get xAxisMinimumValue() {
            return this.uk;
        }
        set xAxisMinimumValue(a) {
            this.uk = a;
            this.g("XAxisMinimumValue");
        }
        get xAxisMaximumValue() {
            return this.uj;
        }
        set xAxisMaximumValue(a) {
            this.uj = a;
            this.g("XAxisMaximumValue");
        }
        get xAxisBreaks() {
            return this.tm;
        }
        set xAxisBreaks(a) {
            this.tm = a;
            this.g("XAxisBreaks");
        }
        get applyCustomIndicatorsRef() {
            return this.vz;
        }
        set applyCustomIndicatorsRef(a) {
            this.vz = a;
            this.g("ApplyCustomIndicatorsRef");
        }
    }
    FinancialChartDescription.$t = markType(FinancialChartDescription, 'FinancialChartDescription', XYChartDescription.$);
    return FinancialChartDescription;
})();
